content/operate/rs/references/rest-api/requests/crdbs/purge.md
| Method | Path | Description |
|---|---|---|
| PUT | /v1/crdbs/{crdb_guid}/purge | Purge data from an instance that was forcibly removed from the Active-Active database |
PUT /v1/crdbs/{crdb_guid}/purge
Purge the data from an instance that was removed from the Active-Active database by force.
When you force the removal of an instance from an Active-Active database, the removed instance keeps the data and configuration according to the last successful synchronization.
To delete the data and configuration from the forcefully removed instance you must use this API (Must be executed locally on the removed instance).
PUT /v1/crdbs/1/purge
| Field | Type | Description |
|---|---|---|
| crdb_guid | string | Globally unique Active-Active database ID (GUID) |
| Field | Type | Description |
|---|---|---|
| instances | array of integers | Array of unique instance IDs |
Returns a [CRDB task object]({{< relref "/operate/rs/references/rest-api/objects/crdb_task" >}}).
| Code | Description |
|---|---|
| 200 OK | Action was successful. |
| 400 Bad Request | The request is invalid or malformed. |
| 401 Unauthorized | Unauthorized request. Invalid credentials |
| 404 Not Found | Configuration, instance, or Active-Active database not found. |